This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 151815 - Backup/Restore are very slow on OCFS with 2.4.21-20.ELsmp
Backup/Restore are very slow on OCFS with 2.4.21-20.ELsmp
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-22 11:48 EST by Ashish Tripathi
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-08 08:48:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ashish Tripathi 2005-03-22 11:48:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
Hi,
  I am using Redhat AS 3.0 (Update 3) with "2.4.21-20.ELsmp" Kernel with a 2 node RAC running OCFS (ocfs-2.4.21-EL-smp-1.0.13-1).Shared disks reside on a HP MA8000 SAN and are connected to the server using QLogic 2340 HBAs.Every server has only one HBA.Before upgrading to Kernel 2.4.21-20.ELsmp I was getting decent performace with tape backups and restores which is done over the network using HP Data Protector 5.but after the upgrade the performance of backups/restores have degraded considerabley.One intresting thing I noted was that when the backup is running and if I start a dd read process on the other shared file system in the same server, the backup speed picks up almost 2-3 times.But doing the same with restore doesn't help at all.
Is there any bug with kernel 2.4.21-20.ELsmp which is causing this behavior?
Thanks.
Ashish

Version-Release number of selected component (if applicable):
2.4.21-20.ELsmp

How reproducible:
Didn't try


Additional info:
Comment 1 Larry Woodman 2005-04-04 14:02:40 EDT
Kernel 2.4.21-20 was RHEL3-U3 and that kernel had a bug in which inodes were not
preperly reclaimed.  That bug was fixed in RHEL3-U4/kernel-2.4.21-27, can you
grab that kernel or even the latedt RHEL3-U5 kernel and see if the problem you
described is fixed?

Thank You, Larry Woodman
Comment 2 Ashish Tripathi 2005-04-13 13:05:20 EDT
Hi,
   I installed "2.4.21-27.0.2.ELsmp" kernel and ran the backups again but 
still the same result. By running a "dd read" process on another filesystem 
which is using a separate disks (LUN) makes the backup to run almost 10 times 
faster.
Thanks.
Ashish
Comment 3 Larry Woodman 2005-04-13 13:11:10 EDT
At this point I think we need to have Oracle look at this sice its OCFS and from
what I can tell its not happening on other file systems.

Larry
Comment 4 Ashish Tripathi 2005-04-14 16:34:11 EDT
Hi,
   I did a test by creating a EXT3 filesystem on the same disks.The backup 
speed was fine but the restore to the same disks using the same backup was 
half slower.
Can there be a bug in the drive of Qlogic card?

Thanks.
Ashish

Note You need to log in before you can comment on or make changes to this bug.